@echo off
REM Compile all 'clib' and 'dbeng' modules
REM and make all applications. Dec/2002, Rick Smereka
REM
REM Added build of 'iex' and 'iexm'.
REM Oct/2003, Rick Smereka
REM 
REM Added build of 'rmtree'.
REM Jul/2004, Rick Smereka
REM
REM Added build of 'daymvdel'.
REM Feb/2006, Rick Smereka

echo ***compile clib primatives
call cclib
echo ***compile C++ clib classes
call ppcclib
echo ***compile dbeng primatives
call cdbeng
echo ***compile socloc primatives
call csocloc
echo ***make stand-alone database command line program
call mkdb
echo ***make c/s database command line program
call mkdbm
echo ***make new database server
call mkdbsrv
echo ***make stand-alone database stress program
call mkdbstress
echo ***make c/s database stress program
call mkdbstresm
echo ***make dbgen
call mkdbgen
echo ***make dbgenm
call mkdbgenm
echo ***make iex
call mkiex
echo ***make iexm
call mkiexm
echo ***make system log server
call mksys_log
echo ***make timesync server
call mktimesync
echo ***make datimec client
call mkdatimec
echo ***make socloc server
call mksocloc
echo ***make dumsocks server
call mkdumsocks
echo ***make dumsocks client
call mkdumsockc
echo ***make sockc client
call mksockc
echo ***make iresolve
call mkiresolve
echo ***make testcs
call mktestcs
echo ***make testss
call mktestss
echo **make rmtree
call mkrmtree
echo **make ialive
call mkialive
echo **make ialivem
call mkialivem
echo **make sched
call mksched
echo **make schedm
call mkschedm
echo **make daymvdel
call mkdaymvdel
echo ***make fixed point stress program
call cl fxpstres
echo ***make datagen
call cl datagen
echo ***make dos2unix
call cl dos2unix

